## org.eclipse.jst.jsf.facesconfig.emf.util
Class FacesConfigSwitch

    java.lang.Object
      org.eclipse.jst.jsf.facesconfig.emf.util.FacesConfigSwitch

    public class FacesConfigSwitch

extends java.lang.Object

The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  `FacesConfigPackage`

Field Summary
`static java.lang.String` `copyright`

Constructor Summary
`FacesConfigSwitch()` Creates an instance of the switch

Method Summary
`java.lang.Object` `caseAbsoluteOrderingType(AbsoluteOrderingType object)` Returns the result of interpreting the object as an instance of 'Absolute Ordering Type'
`java.lang.Object` `caseActionListenerType(ActionListenerType object)` Returns the result of interpreting the object as an instance of 'Action Listener Type'
`java.lang.Object` `caseApplicationExtensionType(ApplicationExtensionType object)` Returns the result of interpreting the object as an instance of 'Application Extension Type'
`java.lang.Object` `caseApplicationFactoryType(ApplicationFactoryType object)` Returns the result of interpreting the object as an instance of 'Application Factory Type'
`java.lang.Object` `caseApplicationType(ApplicationType object)` Returns the result of interpreting the object as an instance of 'Application Type'
`java.lang.Object` `caseAttributeClassType(AttributeClassType object)` Returns the result of interpreting the object as an instance of 'Attribute Class Type'
`java.lang.Object` `caseAttributeExtensionType(AttributeExtensionType object)` Returns the result of interpreting the object as an instance of 'Attribute Extension Type'
`java.lang.Object` `caseAttributeNameType(AttributeNameType object)` Returns the result of interpreting the object as an instance of 'Attribute Name Type'
`java.lang.Object` `caseAttributeType(AttributeType object)` Returns the result of interpreting the object as an instance of 'Attribute Type'
`java.lang.Object` `caseBaseNameType(BaseNameType object)` Returns the result of interpreting the object as an instance of 'Base Name Type'
`java.lang.Object` `caseBehaviorClassType(BehaviorClassType object)` Returns the result of interpreting the object as an instance of 'Behavior Class Type'
`java.lang.Object` `caseBehaviorExtensionType(BehaviorExtensionType object)` Returns the result of interpreting the object as an instance of 'Behavior Extension Type'
`java.lang.Object` `caseBehaviorIdType(BehaviorIdType object)` Returns the result of interpreting the object as an instance of 'Behavior Id Type'
`java.lang.Object` `caseBehaviorType(BehaviorType object)` Returns the result of interpreting the object as an instance of 'Behavior Type'
`java.lang.Object` `caseClientBehaviorRendererClassType(ClientBehaviorRendererClassType object)` Returns the result of interpreting the object as an instance of 'Client Behavior Renderer Class Type'
`java.lang.Object` `caseClientBehaviorRendererType(ClientBehaviorRendererType object)` Returns the result of interpreting the object as an instance of 'Client Behavior Renderer Type'
`java.lang.Object` `caseClientBehaviorRendererTypeType(ClientBehaviorRendererTypeType object)` Returns the result of interpreting the object as an instance of 'Client Behavior Renderer Type Type'
`java.lang.Object` `caseComponentClassType(ComponentClassType object)` Returns the result of interpreting the object as an instance of 'Component Class Type'
`java.lang.Object` `caseComponentExtensionType(ComponentExtensionType object)` Returns the result of interpreting the object as an instance of 'Component Extension Type'
`java.lang.Object` `caseComponentFamilyType(ComponentFamilyType object)` Returns the result of interpreting the object as an instance of 'Component Family Type'
`java.lang.Object` `caseComponentType(ComponentType object)` Returns the result of interpreting the object as an instance of 'Component Type'
`java.lang.Object` `caseComponentTypeType(ComponentTypeType object)` Returns the result of interpreting the object as an instance of 'Component Type Type'
`java.lang.Object` `caseConverterClassType(ConverterClassType object)` Returns the result of interpreting the object as an instance of 'Converter Class Type'
`java.lang.Object` `caseConverterExtensionType(ConverterExtensionType object)` Returns the result of interpreting the object as an instance of 'Converter Extension Type'
`java.lang.Object` `caseConverterForClassType(ConverterForClassType object)` Returns the result of interpreting the object as an instance of 'Converter For Class Type'
`java.lang.Object` `caseConverterIdType(ConverterIdType object)` Returns the result of interpreting the object as an instance of 'Converter Id Type'
`java.lang.Object` `caseConverterType(ConverterType object)` Returns the result of interpreting the object as an instance of 'Converter Type'
`java.lang.Object` `caseDefaultLocaleType(DefaultLocaleType object)` Returns the result of interpreting the object as an instance of 'Default Locale Type'
`java.lang.Object` `caseDefaultRenderKitIdType(DefaultRenderKitIdType object)` Returns the result of interpreting the object as an instance of 'Default Render Kit Id Type'
`java.lang.Object` `caseDefaultValidatorsType(DefaultValidatorsType object)` Returns the result of interpreting the object as an instance of 'Default Validators Type'
`java.lang.Object` `caseDefaultValueType(DefaultValueType object)` Returns the result of interpreting the object as an instance of 'Default Value Type'
`java.lang.Object` `caseDescriptionType(DescriptionType object)` Returns the result of interpreting the object as an instance of 'Description Type'
`java.lang.Object` `caseDisplayNameType(DisplayNameType object)` Returns the result of interpreting the object as an instance of 'Display Name Type'
`java.lang.Object` `caseDocumentRoot(DocumentRoot object)` Returns the result of interpreting the object as an instance of 'Document Root'
`java.lang.Object` `caseDynamicAttribute(DynamicAttribute object)` Returns the result of interpreting the object as an instance of 'Dynamic Attribute'
`java.lang.Object` `caseDynamicElement(DynamicElement object)` Returns the result of interpreting the object as an instance of 'Dynamic Element'
`java.lang.Object` `caseELResolverType(ELResolverType object)` Returns the result of interpreting the object as an instance of 'EL Resolver Type'
`java.lang.Object` `caseExceptionHandlerFactoryType(ExceptionHandlerFactoryType object)` Returns the result of interpreting the object as an instance of 'Exception Handler Factory Type'
`java.lang.Object` `caseExtensionType(ExtensionType object)` Returns the result of interpreting the object as an instance of 'Extension Type'
`java.lang.Object` `caseExternalContextFactoryType(ExternalContextFactoryType object)` Returns the result of interpreting the object as an instance of 'External Context Factory Type'
`java.lang.Object` `caseFacesConfigExtensionType(FacesConfigExtensionType object)` Returns the result of interpreting the object as an instance of 'Extension Type'
`java.lang.Object` `caseFacesConfigType(FacesConfigType object)` Returns the result of interpreting the object as an instance of 'Type'
`java.lang.Object` `caseFacesContextFactoryType(FacesContextFactoryType object)` Returns the result of interpreting the object as an instance of 'Faces Context Factory Type'
`java.lang.Object` `caseFacetExtensionType(FacetExtensionType object)` Returns the result of interpreting the object as an instance of 'Facet Extension Type'
`java.lang.Object` `caseFacetNameType(FacetNameType object)` Returns the result of interpreting the object as an instance of 'Facet Name Type'
`java.lang.Object` `caseFacetType(FacetType object)` Returns the result of interpreting the object as an instance of 'Facet Type'
`java.lang.Object` `caseFactoryExtensionType(FactoryExtensionType object)` Returns the result of interpreting the object as an instance of 'Factory Extension Type'
`java.lang.Object` `caseFactoryType(FactoryType object)` Returns the result of interpreting the object as an instance of 'Factory Type'
`java.lang.Object` `caseFromActionType(FromActionType object)` Returns the result of interpreting the object as an instance of 'From Action Type'
`java.lang.Object` `caseFromOutcomeType(FromOutcomeType object)` Returns the result of interpreting the object as an instance of 'From Outcome Type'
`java.lang.Object` `caseFromViewIdType(FromViewIdType object)` Returns the result of interpreting the object as an instance of 'From View Id Type'
`java.lang.Object` `caseIconType(IconType object)` Returns the result of interpreting the object as an instance of 'Icon Type'
`java.lang.Object` `caseIfType(IfType object)` Returns the result of interpreting the object as an instance of 'If Type'
`java.lang.Object` `caseKeyClassType(KeyClassType object)` Returns the result of interpreting the object as an instance of 'Key Class Type'
`java.lang.Object` `caseKeyType(KeyType object)` Returns the result of interpreting the object as an instance of 'Key Type'
`java.lang.Object` `caseLargeIconType(LargeIconType object)` Returns the result of interpreting the object as an instance of 'Large Icon Type'
`java.lang.Object` `caseLifecycleExtensionType(LifecycleExtensionType object)` Returns the result of interpreting the object as an instance of 'Lifecycle Extension Type'
`java.lang.Object` `caseLifecycleFactoryType(LifecycleFactoryType object)` Returns the result of interpreting the object as an instance of 'Lifecycle Factory Type'
`java.lang.Object` `caseLifecycleType(LifecycleType object)` Returns the result of interpreting the object as an instance of 'Lifecycle Type'
`java.lang.Object` `caseListEntriesType(ListEntriesType object)` Returns the result of interpreting the object as an instance of 'List Entries Type'
`java.lang.Object` `caseLocaleConfigType(LocaleConfigType object)` Returns the result of interpreting the object as an instance of 'Locale Config Type'
`java.lang.Object` `caseManagedBeanClassType(ManagedBeanClassType object)` Returns the result of interpreting the object as an instance of 'Managed Bean Class Type'
`java.lang.Object` `caseManagedBeanExtensionType(ManagedBeanExtensionType object)` Returns the result of interpreting the object as an instance of 'Managed Bean Extension Type'
`java.lang.Object` `caseManagedBeanNameType(ManagedBeanNameType object)` Returns the result of interpreting the object as an instance of 'Managed Bean Name Type'
`java.lang.Object` `caseManagedBeanScopeType(ManagedBeanScopeType object)` Returns the result of interpreting the object as an instance of 'Managed Bean Scope Type'
`java.lang.Object` `caseManagedBeanType(ManagedBeanType object)` Returns the result of interpreting the object as an instance of 'Managed Bean Type'
`java.lang.Object` `caseManagedPropertyType(ManagedPropertyType object)` Returns the result of interpreting the object as an instance of 'Managed Property Type'
`java.lang.Object` `caseMapEntriesType(MapEntriesType object)` Returns the result of interpreting the object as an instance of 'Map Entries Type'
`java.lang.Object` `caseMapEntryType(MapEntryType object)` Returns the result of interpreting the object as an instance of 'Map Entry Type'
`java.lang.Object` `caseMessageBundleType(MessageBundleType object)` Returns the result of interpreting the object as an instance of 'Message Bundle Type'
`java.lang.Object` `caseNameType(NameType object)` Returns the result of interpreting the object as an instance of 'Name Type'
`java.lang.Object` `caseNavigationCaseType(NavigationCaseType object)` Returns the result of interpreting the object as an instance of 'Navigation Case Type'
`java.lang.Object` `caseNavigationHandlerType(NavigationHandlerType object)` Returns the result of interpreting the object as an instance of 'Navigation Handler Type'
`java.lang.Object` `caseNavigationRuleExtensionType(NavigationRuleExtensionType object)` Returns the result of interpreting the object as an instance of 'Navigation Rule Extension Type'
`java.lang.Object` `caseNavigationRuleType(NavigationRuleType object)` Returns the result of interpreting the object as an instance of 'Navigation Rule Type'
`java.lang.Object` `caseNullValueType(NullValueType object)` Returns the result of interpreting the object as an instance of 'Null Value Type'
`java.lang.Object` `caseOrderingOrderingType(OrderingOrderingType object)` Returns the result of interpreting the object as an instance of 'Ordering Ordering Type'
`java.lang.Object` `caseOrderingOthersType(OrderingOthersType object)` Returns the result of interpreting the object as an instance of 'Ordering Others Type'
`java.lang.Object` `caseOrderingType(OrderingType object)` Returns the result of interpreting the object as an instance of 'Ordering Type'
`java.lang.Object` `casePartialViewContextFactoryType(PartialViewContextFactoryType object)` Returns the result of interpreting the object as an instance of 'Partial View Context Factory Type'
`java.lang.Object` `casePhaseListenerType(PhaseListenerType object)` Returns the result of interpreting the object as an instance of 'Phase Listener Type'
`java.lang.Object` `casePropertyClassType(PropertyClassType object)` Returns the result of interpreting the object as an instance of 'Property Class Type'
`java.lang.Object` `casePropertyExtensionType(PropertyExtensionType object)` Returns the result of interpreting the object as an instance of 'Property Extension Type'
`java.lang.Object` `casePropertyNameType(PropertyNameType object)` Returns the result of interpreting the object as an instance of 'Property Name Type'
`java.lang.Object` `casePropertyResolverType(PropertyResolverType object)` Returns the result of interpreting the object as an instance of 'Property Resolver Type'
`java.lang.Object` `casePropertyType(PropertyType object)` Returns the result of interpreting the object as an instance of 'Property Type'
`java.lang.Object` `caseRedirectType(RedirectType object)` Returns the result of interpreting the object as an instance of 'Redirect Type'
`java.lang.Object` `caseRedirectViewParamType(RedirectViewParamType object)` Returns the result of interpreting the object as an instance of 'Redirect View Param Type'
`java.lang.Object` `caseReferencedBeanClassType(ReferencedBeanClassType object)` Returns the result of interpreting the object as an instance of 'Referenced Bean Class Type'
`java.lang.Object` `caseReferencedBeanNameType(ReferencedBeanNameType object)` Returns the result of interpreting the object as an instance of 'Referenced Bean Name Type'
`java.lang.Object` `caseReferencedBeanType(ReferencedBeanType object)` Returns the result of interpreting the object as an instance of 'Referenced Bean Type'
`java.lang.Object` `caseRendererClassType(RendererClassType object)` Returns the result of interpreting the object as an instance of 'Renderer Class Type'
`java.lang.Object` `caseRendererExtensionType(RendererExtensionType object)` Returns the result of interpreting the object as an instance of 'Renderer Extension Type'
`java.lang.Object` `caseRendererType(RendererType object)` Returns the result of interpreting the object as an instance of 'Renderer Type'
`java.lang.Object` `caseRendererTypeType(RendererTypeType object)` Returns the result of interpreting the object as an instance of 'Renderer Type Type'
`java.lang.Object` `caseRenderKitClassType(RenderKitClassType object)` Returns the result of interpreting the object as an instance of 'Render Kit Class Type'
`java.lang.Object` `caseRenderKitExtensionType(RenderKitExtensionType object)` Returns the result of interpreting the object as an instance of 'Render Kit Extension Type'
`java.lang.Object` `caseRenderKitFactoryType(RenderKitFactoryType object)` Returns the result of interpreting the object as an instance of 'Render Kit Factory Type'
`java.lang.Object` `caseRenderKitIdType(RenderKitIdType object)` Returns the result of interpreting the object as an instance of 'Render Kit Id Type'
`java.lang.Object` `caseRenderKitType(RenderKitType object)` Returns the result of interpreting the object as an instance of 'Render Kit Type'
`java.lang.Object` `caseResourceBundleType(ResourceBundleType object)` Returns the result of interpreting the object as an instance of 'Resource Bundle Type'
`java.lang.Object` `caseResourceHandlerType(ResourceHandlerType object)` Returns the result of interpreting the object as an instance of 'Resource Handler Type'
`java.lang.Object` `caseSmallIconType(SmallIconType object)` Returns the result of interpreting the object as an instance of 'Small Icon Type'
`java.lang.Object` `caseSourceClassType(SourceClassType object)` Returns the result of interpreting the object as an instance of 'Source Class Type'
`java.lang.Object` `caseStateManagerType(StateManagerType object)` Returns the result of interpreting the object as an instance of 'State Manager Type'
`java.lang.Object` `caseSuggestedValueType(SuggestedValueType object)` Returns the result of interpreting the object as an instance of 'Suggested Value Type'
`java.lang.Object` `caseSupportedLocaleType(SupportedLocaleType object)` Returns the result of interpreting the object as an instance of 'Supported Locale Type'
`java.lang.Object` `caseSystemEventClassType(SystemEventClassType object)` Returns the result of interpreting the object as an instance of 'System Event Class Type'
`java.lang.Object` `caseSystemEventListenerClassType(SystemEventListenerClassType object)` Returns the result of interpreting the object as an instance of 'System Event Listener Class Type'
`java.lang.Object` `caseSystemEventListenerType(SystemEventListenerType object)` Returns the result of interpreting the object as an instance of 'System Event Listener Type'
`java.lang.Object` `caseTagHandlerDelegateFactoryType(TagHandlerDelegateFactoryType object)` Returns the result of interpreting the object as an instance of 'Tag Handler Delegate Factory Type'
`java.lang.Object` `caseToViewIdType(ToViewIdType object)` Returns the result of interpreting the object as an instance of 'To View Id Type'
`java.lang.Object` `caseValidatorClassType(ValidatorClassType object)` Returns the result of interpreting the object as an instance of 'Validator Class Type'
`java.lang.Object` `caseValidatorExtensionType(ValidatorExtensionType object)` Returns the result of interpreting the object as an instance of 'Validator Extension Type'
`java.lang.Object` `caseValidatorIdType(ValidatorIdType object)` Returns the result of interpreting the object as an instance of 'Validator Id Type'
`java.lang.Object` `caseValidatorType(ValidatorType object)` Returns the result of interpreting the object as an instance of 'Validator Type'
`java.lang.Object` `caseValueClassType(ValueClassType object)` Returns the result of interpreting the object as an instance of 'Value Class Type'
`java.lang.Object` `caseValueType(ValueType object)` Returns the result of interpreting the object as an instance of 'Value Type'
`java.lang.Object` `caseVariableResolverType(VariableResolverType object)` Returns the result of interpreting the object as an instance of 'Variable Resolver Type'
`java.lang.Object` `caseVarType(VarType object)` Returns the result of interpreting the object as an instance of 'Var Type'
`java.lang.Object` `caseViewDeclarationLanguageFactoryType(ViewDeclarationLanguageFactoryType object)` Returns the result of interpreting the object as an instance of 'View Declaration Language Factory Type'
`java.lang.Object` `caseViewHandlerType(ViewHandlerType object)` Returns the result of interpreting the object as an instance of 'View Handler Type'
`java.lang.Object` `caseVisitContextFactoryType(VisitContextFactoryType object)` Returns the result of interpreting the object as an instance of 'Visit Context Factory Type'
`java.lang.Object` `defaultCase(EObject object)` Returns the result of interpreting the object as an instance of 'EObject'
`java.lang.Object` `doSwitch(EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

Constructor Detail

### FacesConfigSwitch

    public FacesConfigSwitch()

  Creates an instance of the switch.

Method Detail

### doSwitch

    public java.lang.Object doSwitch(EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Parameters:
    `theEObject` -
  Returns:
    the first non-null result returned by a `caseXXX` call.

### caseAbsoluteOrderingType

    public java.lang.Object caseAbsoluteOrderingType(AbsoluteOrderingType object)

  Returns the result of interpreting the object as an instance of 'Absolute Ordering Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Absolute Ordering Type'.
  See Also:
    `doSwitch(EObject)`

### caseActionListenerType

    public java.lang.Object caseActionListenerType(ActionListenerType object)

  Returns the result of interpreting the object as an instance of 'Action Listener Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Action Listener Type'.
  See Also:
    `doSwitch(EObject)`

### caseApplicationFactoryType

    public java.lang.Object caseApplicationFactoryType(ApplicationFactoryType object)

  Returns the result of interpreting the object as an instance of 'Application Factory Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Application Factory Type'.
  See Also:
    `doSwitch(EObject)`

### caseApplicationType

    public java.lang.Object caseApplicationType(ApplicationType object)

  Returns the result of interpreting the object as an instance of 'Application Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Application Type'.
  See Also:
    `doSwitch(EObject)`

### caseAttributeClassType

    public java.lang.Object caseAttributeClassType(AttributeClassType object)

  Returns the result of interpreting the object as an instance of 'Attribute Class Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Attribute Class Type'.
  See Also:
    `doSwitch(EObject)`

### caseAttributeExtensionType

    public java.lang.Object caseAttributeExtensionType(AttributeExtensionType object)

  Returns the result of interpreting the object as an instance of 'Attribute Extension Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Attribute Extension Type'.
  See Also:
    `doSwitch(EObject)`

### caseAttributeNameType

    public java.lang.Object caseAttributeNameType(AttributeNameType object)

  Returns the result of interpreting the object as an instance of 'Attribute Name Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Attribute Name Type'.
  See Also:
    `doSwitch(EObject)`

### caseAttributeType

    public java.lang.Object caseAttributeType(AttributeType object)

  Returns the result of interpreting the object as an instance of 'Attribute Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Attribute Type'.
  See Also:
    `doSwitch(EObject)`

### caseBehaviorClassType

    public java.lang.Object caseBehaviorClassType(BehaviorClassType object)

  Returns the result of interpreting the object as an instance of 'Behavior Class Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Behavior Class Type'.
  See Also:
    `doSwitch(EObject)`

### caseBehaviorIdType

    public java.lang.Object caseBehaviorIdType(BehaviorIdType object)

  Returns the result of interpreting the object as an instance of 'Behavior Id Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Behavior Id Type'.
  See Also:
    `doSwitch(EObject)`

### caseBehaviorType

    public java.lang.Object caseBehaviorType(BehaviorType object)

  Returns the result of interpreting the object as an instance of 'Behavior Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Behavior Type'.
  See Also:
    `doSwitch(EObject)`

### caseBehaviorExtensionType

    public java.lang.Object caseBehaviorExtensionType(BehaviorExtensionType object)

  Returns the result of interpreting the object as an instance of 'Behavior Extension Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Behavior Extension Type'.
  See Also:
    `doSwitch(EObject)`

### caseClientBehaviorRendererClassType

    public java.lang.Object caseClientBehaviorRendererClassType(ClientBehaviorRendererClassType object)

  Returns the result of interpreting the object as an instance of 'Client Behavior Renderer Class Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Client Behavior Renderer Class Type'.
  See Also:
    `doSwitch(EObject)`

### caseClientBehaviorRendererType

    public java.lang.Object caseClientBehaviorRendererType(ClientBehaviorRendererType object)

  Returns the result of interpreting the object as an instance of 'Client Behavior Renderer Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Client Behavior Renderer Type'.
  See Also:
    `doSwitch(EObject)`

### caseClientBehaviorRendererTypeType

    public java.lang.Object caseClientBehaviorRendererTypeType(ClientBehaviorRendererTypeType object)

  Returns the result of interpreting the object as an instance of 'Client Behavior Renderer Type Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Client Behavior Renderer Type Type'.
  See Also:
    `doSwitch(EObject)`

### caseComponentClassType

    public java.lang.Object caseComponentClassType(ComponentClassType object)

  Returns the result of interpreting the object as an instance of 'Component Class Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Component Class Type'.
  See Also:
    `doSwitch(EObject)`

### caseComponentExtensionType

    public java.lang.Object caseComponentExtensionType(ComponentExtensionType object)

  Returns the result of interpreting the object as an instance of 'Component Extension Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Component Extension Type'.
  See Also:
    `doSwitch(EObject)`

### caseComponentFamilyType

    public java.lang.Object caseComponentFamilyType(ComponentFamilyType object)

  Returns the result of interpreting the object as an instance of 'Component Family Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Component Family Type'.
  See Also:
    `doSwitch(EObject)`

### caseComponentType

    public java.lang.Object caseComponentType(ComponentType object)

  Returns the result of interpreting the object as an instance of 'Component Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Component Type'.
  See Also:
    `doSwitch(EObject)`

### caseComponentTypeType

    public java.lang.Object caseComponentTypeType(ComponentTypeType object)

  Returns the result of interpreting the object as an instance of 'Component Type Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Component Type Type'.
  See Also:
    `doSwitch(EObject)`

### caseConverterClassType

    public java.lang.Object caseConverterClassType(ConverterClassType object)

  Returns the result of interpreting the object as an instance of 'Converter Class Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Converter Class Type'.
  See Also:
    `doSwitch(EObject)`

### caseConverterForClassType

    public java.lang.Object caseConverterForClassType(ConverterForClassType object)

  Returns the result of interpreting the object as an instance of 'Converter For Class Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Converter For Class Type'.
  See Also:
    `doSwitch(EObject)`

### caseConverterIdType

    public java.lang.Object caseConverterIdType(ConverterIdType object)

  Returns the result of interpreting the object as an instance of 'Converter Id Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Converter Id Type'.
  See Also:
    `doSwitch(EObject)`

### caseConverterType

    public java.lang.Object caseConverterType(ConverterType object)

  Returns the result of interpreting the object as an instance of 'Converter Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Converter Type'.
  See Also:
    `doSwitch(EObject)`

### caseDefaultLocaleType

    public java.lang.Object caseDefaultLocaleType(DefaultLocaleType object)

  Returns the result of interpreting the object as an instance of 'Default Locale Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Default Locale Type'.
  See Also:
    `doSwitch(EObject)`

### caseDefaultRenderKitIdType

    public java.lang.Object caseDefaultRenderKitIdType(DefaultRenderKitIdType object)

  Returns the result of interpreting the object as an instance of 'Default Render Kit Id Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Default Render Kit Id Type'.
  See Also:
    `doSwitch(EObject)`

### caseDefaultValidatorsType

    public java.lang.Object caseDefaultValidatorsType(DefaultValidatorsType object)

  Returns the result of interpreting the object as an instance of 'Default Validators Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Default Validators Type'.
  See Also:
    `doSwitch(EObject)`

### caseDefaultValueType

    public java.lang.Object caseDefaultValueType(DefaultValueType object)

  Returns the result of interpreting the object as an instance of 'Default Value Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Default Value Type'.
  See Also:
    `doSwitch(EObject)`

### caseDescriptionType

    public java.lang.Object caseDescriptionType(DescriptionType object)

  Returns the result of interpreting the object as an instance of 'Description Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Description Type'.
  See Also:
    `doSwitch(EObject)`

### caseDisplayNameType

    public java.lang.Object caseDisplayNameType(DisplayNameType object)

  Returns the result of interpreting the object as an instance of 'Display Name Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Display Name Type'.
  See Also:
    `doSwitch(EObject)`

### caseDocumentRoot

    public java.lang.Object caseDocumentRoot(DocumentRoot object)

  Returns the result of interpreting the object as an instance of 'Document Root'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Document Root'.
  See Also:
    `doSwitch(EObject)`

### caseDynamicAttribute

    public java.lang.Object caseDynamicAttribute(DynamicAttribute object)

  Returns the result of interpreting the object as an instance of 'Dynamic Attribute'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Dynamic Attribute'.
  See Also:
    `doSwitch(EObject)`

### caseDynamicElement

    public java.lang.Object caseDynamicElement(DynamicElement object)

  Returns the result of interpreting the object as an instance of 'Dynamic Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Dynamic Element'.
  See Also:
    `doSwitch(EObject)`

### caseELResolverType

    public java.lang.Object caseELResolverType(ELResolverType object)

  Returns the result of interpreting the object as an instance of 'EL Resolver Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EL Resolver Type'.
  See Also:
    `doSwitch(EObject)`

### caseExceptionHandlerFactoryType

    public java.lang.Object caseExceptionHandlerFactoryType(ExceptionHandlerFactoryType object)

  Returns the result of interpreting the object as an instance of 'Exception Handler Factory Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Exception Handler Factory Type'.
  See Also:
    `doSwitch(EObject)`

### caseFacesConfigType

    public java.lang.Object caseFacesConfigType(FacesConfigType object)

  Returns the result of interpreting the object as an instance of 'Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Type'.
  See Also:
    `doSwitch(EObject)`

### caseFacesContextFactoryType

    public java.lang.Object caseFacesContextFactoryType(FacesContextFactoryType object)

  Returns the result of interpreting the object as an instance of 'Faces Context Factory Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Faces Context Factory Type'.
  See Also:
    `doSwitch(EObject)`

### caseFacetExtensionType

    public java.lang.Object caseFacetExtensionType(FacetExtensionType object)

  Returns the result of interpreting the object as an instance of 'Facet Extension Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Facet Extension Type'.
  See Also:
    `doSwitch(EObject)`

### caseFacetNameType

    public java.lang.Object caseFacetNameType(FacetNameType object)

  Returns the result of interpreting the object as an instance of 'Facet Name Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Facet Name Type'.
  See Also:
    `doSwitch(EObject)`

### caseFacetType

    public java.lang.Object caseFacetType(FacetType object)

  Returns the result of interpreting the object as an instance of 'Facet Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Facet Type'.
  See Also:
    `doSwitch(EObject)`

### caseFactoryType

    public java.lang.Object caseFactoryType(FactoryType object)

  Returns the result of interpreting the object as an instance of 'Factory Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Factory Type'.
  See Also:
    `doSwitch(EObject)`

### caseFromActionType

    public java.lang.Object caseFromActionType(FromActionType object)

  Returns the result of interpreting the object as an instance of 'From Action Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'From Action Type'.
  See Also:
    `doSwitch(EObject)`

### caseFromOutcomeType

    public java.lang.Object caseFromOutcomeType(FromOutcomeType object)

  Returns the result of interpreting the object as an instance of 'From Outcome Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'From Outcome Type'.
  See Also:
    `doSwitch(EObject)`

### caseFromViewIdType

    public java.lang.Object caseFromViewIdType(FromViewIdType object)

  Returns the result of interpreting the object as an instance of 'From View Id Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'From View Id Type'.
  See Also:
    `doSwitch(EObject)`

### caseIconType

    public java.lang.Object caseIconType(IconType object)

  Returns the result of interpreting the object as an instance of 'Icon Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Icon Type'.
  See Also:
    `doSwitch(EObject)`

### caseIfType

    public java.lang.Object caseIfType(IfType object)

  Returns the result of interpreting the object as an instance of 'If Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'If Type'.
  See Also:
    `doSwitch(EObject)`

### caseKeyClassType

    public java.lang.Object caseKeyClassType(KeyClassType object)

  Returns the result of interpreting the object as an instance of 'Key Class Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Key Class Type'.
  See Also:
    `doSwitch(EObject)`

### caseKeyType

    public java.lang.Object caseKeyType(KeyType object)

  Returns the result of interpreting the object as an instance of 'Key Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Key Type'.
  See Also:
    `doSwitch(EObject)`

### caseLargeIconType

    public java.lang.Object caseLargeIconType(LargeIconType object)

  Returns the result of interpreting the object as an instance of 'Large Icon Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Large Icon Type'.
  See Also:
    `doSwitch(EObject)`

### caseLifecycleFactoryType

    public java.lang.Object caseLifecycleFactoryType(LifecycleFactoryType object)

  Returns the result of interpreting the object as an instance of 'Lifecycle Factory Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Lifecycle Factory Type'.
  See Also:
    `doSwitch(EObject)`

### caseLifecycleType

    public java.lang.Object caseLifecycleType(LifecycleType object)

  Returns the result of interpreting the object as an instance of 'Lifecycle Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Lifecycle Type'.
  See Also:
    `doSwitch(EObject)`

### caseListEntriesType

    public java.lang.Object caseListEntriesType(ListEntriesType object)

  Returns the result of interpreting the object as an instance of 'List Entries Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'List Entries Type'.
  See Also:
    `doSwitch(EObject)`

### caseLocaleConfigType

    public java.lang.Object caseLocaleConfigType(LocaleConfigType object)

  Returns the result of interpreting the object as an instance of 'Locale Config Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Locale Config Type'.
  See Also:
    `doSwitch(EObject)`

### caseManagedBeanClassType

    public java.lang.Object caseManagedBeanClassType(ManagedBeanClassType object)

  Returns the result of interpreting the object as an instance of 'Managed Bean Class Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Managed Bean Class Type'.
  See Also:
    `doSwitch(EObject)`

### caseManagedBeanNameType

    public java.lang.Object caseManagedBeanNameType(ManagedBeanNameType object)

  Returns the result of interpreting the object as an instance of 'Managed Bean Name Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Managed Bean Name Type'.
  See Also:
    `doSwitch(EObject)`

### caseManagedBeanScopeType

    public java.lang.Object caseManagedBeanScopeType(ManagedBeanScopeType object)

  Returns the result of interpreting the object as an instance of 'Managed Bean Scope Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Managed Bean Scope Type'.
  See Also:
    `doSwitch(EObject)`

### caseManagedBeanType

    public java.lang.Object caseManagedBeanType(ManagedBeanType object)

  Returns the result of interpreting the object as an instance of 'Managed Bean Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Managed Bean Type'.
  See Also:
    `doSwitch(EObject)`

### caseManagedPropertyType

    public java.lang.Object caseManagedPropertyType(ManagedPropertyType object)

  Returns the result of interpreting the object as an instance of 'Managed Property Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Managed Property Type'.
  See Also:
    `doSwitch(EObject)`

### caseMapEntriesType

    public java.lang.Object caseMapEntriesType(MapEntriesType object)

  Returns the result of interpreting the object as an instance of 'Map Entries Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Map Entries Type'.
  See Also:
    `doSwitch(EObject)`

### caseMapEntryType

    public java.lang.Object caseMapEntryType(MapEntryType object)

  Returns the result of interpreting the object as an instance of 'Map Entry Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Map Entry Type'.
  See Also:
    `doSwitch(EObject)`

### caseMessageBundleType

    public java.lang.Object caseMessageBundleType(MessageBundleType object)

  Returns the result of interpreting the object as an instance of 'Message Bundle Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Message Bundle Type'.
  See Also:
    `doSwitch(EObject)`

### caseNameType

    public java.lang.Object caseNameType(NameType object)

  Returns the result of interpreting the object as an instance of 'Name Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Name Type'.
  See Also:
    `doSwitch(EObject)`

### caseNavigationCaseType

    public java.lang.Object caseNavigationCaseType(NavigationCaseType object)

  Returns the result of interpreting the object as an instance of 'Navigation Case Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Navigation Case Type'.
  See Also:
    `doSwitch(EObject)`

### caseNavigationHandlerType

    public java.lang.Object caseNavigationHandlerType(NavigationHandlerType object)

  Returns the result of interpreting the object as an instance of 'Navigation Handler Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Navigation Handler Type'.
  See Also:
    `doSwitch(EObject)`

### caseNavigationRuleType

    public java.lang.Object caseNavigationRuleType(NavigationRuleType object)

  Returns the result of interpreting the object as an instance of 'Navigation Rule Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Navigation Rule Type'.
  See Also:
    `doSwitch(EObject)`

### caseNullValueType

    public java.lang.Object caseNullValueType(NullValueType object)

  Returns the result of interpreting the object as an instance of 'Null Value Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Null Value Type'.
  See Also:
    `doSwitch(EObject)`

### caseOrderingType

    public java.lang.Object caseOrderingType(OrderingType object)

  Returns the result of interpreting the object as an instance of 'Ordering Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Ordering Type'.
  See Also:
    `doSwitch(EObject)`

### caseOrderingOrderingType

    public java.lang.Object caseOrderingOrderingType(OrderingOrderingType object)

  Returns the result of interpreting the object as an instance of 'Ordering Ordering Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Ordering Ordering Type'.
  See Also:
    `doSwitch(EObject)`

### caseOrderingOthersType

    public java.lang.Object caseOrderingOthersType(OrderingOthersType object)

  Returns the result of interpreting the object as an instance of 'Ordering Others Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Ordering Others Type'.
  See Also:
    `doSwitch(EObject)`

### casePartialViewContextFactoryType

    public java.lang.Object casePartialViewContextFactoryType(PartialViewContextFactoryType object)

  Returns the result of interpreting the object as an instance of 'Partial View Context Factory Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Partial View Context Factory Type'.
  See Also:
    `doSwitch(EObject)`

### casePhaseListenerType

    public java.lang.Object casePhaseListenerType(PhaseListenerType object)

  Returns the result of interpreting the object as an instance of 'Phase Listener Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Phase Listener Type'.
  See Also:
    `doSwitch(EObject)`

### casePropertyClassType

    public java.lang.Object casePropertyClassType(PropertyClassType object)

  Returns the result of interpreting the object as an instance of 'Property Class Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Property Class Type'.
  See Also:
    `doSwitch(EObject)`

### casePropertyExtensionType

    public java.lang.Object casePropertyExtensionType(PropertyExtensionType object)

  Returns the result of interpreting the object as an instance of 'Property Extension Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Property Extension Type'.
  See Also:
    `doSwitch(EObject)`

### casePropertyNameType

    public java.lang.Object casePropertyNameType(PropertyNameType object)

  Returns the result of interpreting the object as an instance of 'Property Name Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Property Name Type'.
  See Also:
    `doSwitch(EObject)`

### casePropertyResolverType

    public java.lang.Object casePropertyResolverType(PropertyResolverType object)

  Returns the result of interpreting the object as an instance of 'Property Resolver Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Property Resolver Type'.
  See Also:
    `doSwitch(EObject)`

### casePropertyType

    public java.lang.Object casePropertyType(PropertyType object)

  Returns the result of interpreting the object as an instance of 'Property Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Property Type'.
  See Also:
    `doSwitch(EObject)`

### caseRedirectType

    public java.lang.Object caseRedirectType(RedirectType object)

  Returns the result of interpreting the object as an instance of 'Redirect Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Redirect Type'.
  See Also:
    `doSwitch(EObject)`

### caseRedirectViewParamType

    public java.lang.Object caseRedirectViewParamType(RedirectViewParamType object)

  Returns the result of interpreting the object as an instance of 'Redirect View Param Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Redirect View Param Type'.
  See Also:
    `doSwitch(EObject)`

### caseReferencedBeanClassType

    public java.lang.Object caseReferencedBeanClassType(ReferencedBeanClassType object)

  Returns the result of interpreting the object as an instance of 'Referenced Bean Class Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Referenced Bean Class Type'.
  See Also:
    `doSwitch(EObject)`

### caseReferencedBeanNameType

    public java.lang.Object caseReferencedBeanNameType(ReferencedBeanNameType object)

  Returns the result of interpreting the object as an instance of 'Referenced Bean Name Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Referenced Bean Name Type'.
  See Also:
    `doSwitch(EObject)`

### caseReferencedBeanType

    public java.lang.Object caseReferencedBeanType(ReferencedBeanType object)

  Returns the result of interpreting the object as an instance of 'Referenced Bean Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Referenced Bean Type'.
  See Also:
    `doSwitch(EObject)`

### caseRendererClassType

    public java.lang.Object caseRendererClassType(RendererClassType object)

  Returns the result of interpreting the object as an instance of 'Renderer Class Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Renderer Class Type'.
  See Also:
    `doSwitch(EObject)`

### caseRendererExtensionType

    public java.lang.Object caseRendererExtensionType(RendererExtensionType object)

  Returns the result of interpreting the object as an instance of 'Renderer Extension Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Renderer Extension Type'.
  See Also:
    `doSwitch(EObject)`

### caseRendererType

    public java.lang.Object caseRendererType(RendererType object)

  Returns the result of interpreting the object as an instance of 'Renderer Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Renderer Type'.
  See Also:
    `doSwitch(EObject)`

### caseRendererTypeType

    public java.lang.Object caseRendererTypeType(RendererTypeType object)

  Returns the result of interpreting the object as an instance of 'Renderer Type Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Renderer Type Type'.
  See Also:
    `doSwitch(EObject)`

### caseRenderKitClassType

    public java.lang.Object caseRenderKitClassType(RenderKitClassType object)

  Returns the result of interpreting the object as an instance of 'Render Kit Class Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Render Kit Class Type'.
  See Also:
    `doSwitch(EObject)`

### caseRenderKitFactoryType

    public java.lang.Object caseRenderKitFactoryType(RenderKitFactoryType object)

  Returns the result of interpreting the object as an instance of 'Render Kit Factory Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Render Kit Factory Type'.
  See Also:
    `doSwitch(EObject)`

### caseRenderKitIdType

    public java.lang.Object caseRenderKitIdType(RenderKitIdType object)

  Returns the result of interpreting the object as an instance of 'Render Kit Id Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Render Kit Id Type'.
  See Also:
    `doSwitch(EObject)`

### caseRenderKitType

    public java.lang.Object caseRenderKitType(RenderKitType object)

  Returns the result of interpreting the object as an instance of 'Render Kit Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Render Kit Type'.
  See Also:
    `doSwitch(EObject)`

### caseSmallIconType

    public java.lang.Object caseSmallIconType(SmallIconType object)

  Returns the result of interpreting the object as an instance of 'Small Icon Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Small Icon Type'.
  See Also:
    `doSwitch(EObject)`

### caseSourceClassType

    public java.lang.Object caseSourceClassType(SourceClassType object)

  Returns the result of interpreting the object as an instance of 'Source Class Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Source Class Type'.
  See Also:
    `doSwitch(EObject)`

### caseStateManagerType

    public java.lang.Object caseStateManagerType(StateManagerType object)

  Returns the result of interpreting the object as an instance of 'State Manager Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'State Manager Type'.
  See Also:
    `doSwitch(EObject)`

### caseSuggestedValueType

    public java.lang.Object caseSuggestedValueType(SuggestedValueType object)

  Returns the result of interpreting the object as an instance of 'Suggested Value Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Suggested Value Type'.
  See Also:
    `doSwitch(EObject)`

### caseSupportedLocaleType

    public java.lang.Object caseSupportedLocaleType(SupportedLocaleType object)

  Returns the result of interpreting the object as an instance of 'Supported Locale Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Supported Locale Type'.
  See Also:
    `doSwitch(EObject)`

### caseSystemEventClassType

    public java.lang.Object caseSystemEventClassType(SystemEventClassType object)

  Returns the result of interpreting the object as an instance of 'System Event Class Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'System Event Class Type'.
  See Also:
    `doSwitch(EObject)`

### caseSystemEventListenerClassType

    public java.lang.Object caseSystemEventListenerClassType(SystemEventListenerClassType object)

  Returns the result of interpreting the object as an instance of 'System Event Listener Class Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'System Event Listener Class Type'.
  See Also:
    `doSwitch(EObject)`

### caseSystemEventListenerType

    public java.lang.Object caseSystemEventListenerType(SystemEventListenerType object)

  Returns the result of interpreting the object as an instance of 'System Event Listener Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'System Event Listener Type'.
  See Also:
    `doSwitch(EObject)`

### caseTagHandlerDelegateFactoryType

    public java.lang.Object caseTagHandlerDelegateFactoryType(TagHandlerDelegateFactoryType object)

  Returns the result of interpreting the object as an instance of 'Tag Handler Delegate Factory Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Tag Handler Delegate Factory Type'.
  See Also:
    `doSwitch(EObject)`

### caseToViewIdType

    public java.lang.Object caseToViewIdType(ToViewIdType object)

  Returns the result of interpreting the object as an instance of 'To View Id Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'To View Id Type'.
  See Also:
    `doSwitch(EObject)`

### caseValidatorClassType

    public java.lang.Object caseValidatorClassType(ValidatorClassType object)

  Returns the result of interpreting the object as an instance of 'Validator Class Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Validator Class Type'.
  See Also:
    `doSwitch(EObject)`

### caseValidatorIdType

    public java.lang.Object caseValidatorIdType(ValidatorIdType object)

  Returns the result of interpreting the object as an instance of 'Validator Id Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Validator Id Type'.
  See Also:
    `doSwitch(EObject)`

### caseValidatorType

    public java.lang.Object caseValidatorType(ValidatorType object)

  Returns the result of interpreting the object as an instance of 'Validator Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Validator Type'.
  See Also:
    `doSwitch(EObject)`

### caseValueClassType

    public java.lang.Object caseValueClassType(ValueClassType object)

  Returns the result of interpreting the object as an instance of 'Value Class Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Value Class Type'.
  See Also:
    `doSwitch(EObject)`

### caseValueType

    public java.lang.Object caseValueType(ValueType object)

  Returns the result of interpreting the object as an instance of 'Value Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Value Type'.
  See Also:
    `doSwitch(EObject)`

### caseVariableResolverType

    public java.lang.Object caseVariableResolverType(VariableResolverType object)

  Returns the result of interpreting the object as an instance of 'Variable Resolver Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Variable Resolver Type'.
  See Also:
    `doSwitch(EObject)`

### caseViewHandlerType

    public java.lang.Object caseViewHandlerType(ViewHandlerType object)

  Returns the result of interpreting the object as an instance of 'View Handler Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'View Handler Type'.
  See Also:
    `doSwitch(EObject)`

### caseResourceBundleType

    public java.lang.Object caseResourceBundleType(ResourceBundleType object)

  Returns the result of interpreting the object as an instance of 'Resource Bundle Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Resource Bundle Type'.
  See Also:
    `doSwitch(EObject)`

### caseBaseNameType

    public java.lang.Object caseBaseNameType(BaseNameType object)

  Returns the result of interpreting the object as an instance of 'Base Name Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Base Name Type'.
  See Also:
    `doSwitch(EObject)`

### caseVarType

    public java.lang.Object caseVarType(VarType object)

  Returns the result of interpreting the object as an instance of 'Var Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Var Type'.
  See Also:
    `doSwitch(EObject)`

### caseViewDeclarationLanguageFactoryType

    public java.lang.Object caseViewDeclarationLanguageFactoryType(ViewDeclarationLanguageFactoryType object)

  Returns the result of interpreting the object as an instance of 'View Declaration Language Factory Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'View Declaration Language Factory Type'.
  See Also:
    `doSwitch(EObject)`

### caseVisitContextFactoryType

    public java.lang.Object caseVisitContextFactoryType(VisitContextFactoryType object)

  Returns the result of interpreting the object as an instance of 'Visit Context Factory Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Visit Context Factory Type'.
  See Also:
    `doSwitch(EObject)`

### caseRenderKitExtensionType

    public java.lang.Object caseRenderKitExtensionType(RenderKitExtensionType object)

  Returns the result of interpreting the object as an instance of 'Render Kit Extension Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Render Kit Extension Type'.
  See Also:
    `doSwitch(EObject)`

### caseResourceHandlerType

    public java.lang.Object caseResourceHandlerType(ResourceHandlerType object)

  Returns the result of interpreting the object as an instance of 'Resource Handler Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Resource Handler Type'.
  See Also:
    `doSwitch(EObject)`

### caseNavigationRuleExtensionType

    public java.lang.Object caseNavigationRuleExtensionType(NavigationRuleExtensionType object)

  Returns the result of interpreting the object as an instance of 'Navigation Rule Extension Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Navigation Rule Extension Type'.
  See Also:
    `doSwitch(EObject)`

### caseValidatorExtensionType

    public java.lang.Object caseValidatorExtensionType(ValidatorExtensionType object)

  Returns the result of interpreting the object as an instance of 'Validator Extension Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Validator Extension Type'.
  See Also:
    `doSwitch(EObject)`

### caseFacesConfigExtensionType

    public java.lang.Object caseFacesConfigExtensionType(FacesConfigExtensionType object)

  Returns the result of interpreting the object as an instance of 'Extension Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Extension Type'.
  See Also:
    `doSwitch(EObject)`

### caseFactoryExtensionType

    public java.lang.Object caseFactoryExtensionType(FactoryExtensionType object)

  Returns the result of interpreting the object as an instance of 'Factory Extension Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Factory Extension Type'.
  See Also:
    `doSwitch(EObject)`

### caseLifecycleExtensionType

    public java.lang.Object caseLifecycleExtensionType(LifecycleExtensionType object)

  Returns the result of interpreting the object as an instance of 'Lifecycle Extension Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Lifecycle Extension Type'.
  See Also:
    `doSwitch(EObject)`

### caseManagedBeanExtensionType

    public java.lang.Object caseManagedBeanExtensionType(ManagedBeanExtensionType object)

  Returns the result of interpreting the object as an instance of 'Managed Bean Extension Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Managed Bean Extension Type'.
  See Also:
    `doSwitch(EObject)`

### caseConverterExtensionType

    public java.lang.Object caseConverterExtensionType(ConverterExtensionType object)

  Returns the result of interpreting the object as an instance of 'Converter Extension Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Converter Extension Type'.
  See Also:
    `doSwitch(EObject)`

### caseExtensionType

    public java.lang.Object caseExtensionType(ExtensionType object)

  Returns the result of interpreting the object as an instance of 'Extension Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Extension Type'.
  See Also:
    `doSwitch(EObject)`

### caseExternalContextFactoryType

    public java.lang.Object caseExternalContextFactoryType(ExternalContextFactoryType object)

  Returns the result of interpreting the object as an instance of 'External Context Factory Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'External Context Factory Type'.
  See Also:
    `doSwitch(EObject)`

### caseApplicationExtensionType

    public java.lang.Object caseApplicationExtensionType(ApplicationExtensionType object)

  Returns the result of interpreting the object as an instance of 'Application Extension Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Application Extension Type'.
  See Also:
    `doSwitch(EObject)`

### defaultCase

    public java.lang.Object defaultCase(EObject object)

  Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EObject'.
  See Also:
    `#doSwitch(org.eclipse.emf.ecore.EObject)`